<!DOCTYPE html >

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:jsf="http://xmlns.jcp.org/jsf">

<h:head>
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

	<title>NFCE - Importar Nota Fiscal</title>

	<meta
		content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0'
		name='viewport' />

	<!--     Fonts and icons     -->
	<link rel="stylesheet"
		href="https://fonts.googleapis.com/icon?family=Material+Icons" />
	<link rel="stylesheet" type="text/css"
		href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700" />
	<link rel="stylesheet"
		href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css" />
	<script src="https://www.google.com/recaptcha/api.js"></script>

	<!-- CSS Files -->
	<link rel="stylesheet" type="text/css"
		href="#{request.contextPath}/resources/material/css/bootstrap.min.css" />
	<link rel="stylesheet" type="text/css"
		href="#{request.contextPath}/resources/material/css/material-kit.css" />
	<style>
        ul {
            list-style: none;
            padding: 0;
        }
        .alert .glyphicon{
            display:table-cell;
        }
        .alert div,
        .alert span{
            padding-left: 5px;
            display:table-cell;
        }
        #container {
            margin-left: 20px;
            margin-right: 20px;
        }
    </style>
</h:head>

<h:body>
	<div class="container">
		<div>
			<h3 class="title text-center">NFCE</h3>
		</div>
		<div class="row" jsf:rendered="#{empty importarXmlBean.arquivo}">
			<h:form id="form" enctype="multipart/form-data">
				<h:outputLabel value="Arquivo" for="arquivo" />
				<h:inputFile id="arquivo" value="#{importarXmlBean.arquivo}"
					label="Arquivo" />
				<h:commandButton value="Visualizar Nota Fiscal"
					action="#{importarXmlBean.escolherArquivoParaImportacao}"
					styleClass="btn btn-primary" />
			</h:form>
		</div>
		<h:form>
		<h:messages id="messages" showSummary="true" showDetail="true"/>
		<div class="row" jsf:rendered="#{not empty importarXmlBean.produtos}">
				<p>
					<strong>NF: </strong>#{importarXmlBean.numeroNf}
				</p>
				<p>
					<strong>CHAVE: </strong>#{importarXmlBean.protocoloNf}
				</p>
				<p>
					<strong>DATA: </strong>#{importarXmlBean.dataEmissaoNf}
				</p>
				<p>
					<strong>LOCAL: </strong>#{importarXmlBean.localNf}
				</p>
				<br />
				<h:dataTable
					value="#{importarXmlBean.produtos}"
					var="registro" styleClass="table table-striped">
					<h:column>
						<f:facet name="header">COD. PRODUTO</f:facet>
    					#{registro.codigoProduto}
					</h:column>
					<h:column>
						<f:facet name="header">EAN</f:facet>
    					#{registro.ean}
    				</h:column>
					<h:column>
						<f:facet name="header">PRODUTO</f:facet>
    					#{registro.descricao}
    				</h:column>
    				<h:column>
						<f:facet name="header">UNIDADE</f:facet>
    					#{registro.unidade}
    				</h:column>
					<h:column>
						<f:facet name="header">VL. UNITÁRIO</f:facet>
    					R$ #{registro.vlProduto}
    				</h:column>
				</h:dataTable>
		</div>
		<div class="row" jsf:rendered="#{not empty importarXmlBean.produtos}">
			<div class="col-md-12 pull-right">
<!-- 				<h:commandButton action="#{importarXmlBean.novaNotaFiscal()}" -->
<!-- 					value="Selecionar NF" styleClass="btn btn-primary"/> -->
				<h:commandLink action="inicio" value="Página Inicial" styleClass="btn btn-primary"/>
				<h:commandButton action="#{importarXmlBean.novaNotaFiscal()}"
					value="Selecionar NF" styleClass="btn btn-primary"/>
				<h:commandButton action="#{importarXmlBean.validarArquivo()}"
					value="Validar Arquivo" styleClass="btn btn-primary"/>
				<h:commandButton action="#{importarXmlBean.salvarNf()}"
					value="Salvar Nota Fiscal" styleClass="btn btn-success"/>
			</div>
		</div>
		</h:form>
	</div>

<!-- 	<h:outputScript library="material" name="js/jquery.min.js" /> -->
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
	<h:outputScript library="material" name="js/bootstrap.min.js" />
	<h:outputScript library="material" name="js/material.min.js" />
	<h:outputScript library="material" name="js/material-kit.js" />
</h:body>
</html>
